## openldap 2.4.49+dfsg

=== contrib/slapd-modules/allowed/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2020 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_ALLOWED=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = allowed.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

allowed.la: allowed.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/dupent/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2020 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_DUPENT=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = dupent.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

dupent.la: dupent.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/nssov/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2008-2020 The OpenLDAP Foundation.
# Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

# Path to the OpenLDAP source tree
LDAP_SRC=../../..

# Path to the OpenLDAP object tree - same as above unless
# you're doing out-of-tree builds.
LDAP_BUILD=$(LDAP_SRC)

LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

NLDAPD_INC=-Inss-pam-ldapd

LIBTOOL = $(LDAP_BUILD)/libtool
OPT = -g -O2 -Wall
CC = gcc
DEFS =
INCS = $(LDAP_INC) $(NLDAPD_INC)
LIBS = $(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
sysconfdir = $(prefix)/etc$(ldap_subdir)
schemadir = $(sysconfdir)/schema

all:	nssov.la

XOBJS = tio.lo

OBJS = alias.lo ether.lo group.lo host.lo netgroup.lo network.lo \
	nssov.lo passwd.lo protocol.lo rpc.lo service.lo shadow.lo pam.lo

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

tio.lo:	nss-pam-ldapd/tio.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

$(OBJS):	nssov.h

nssov.la:	$(OBJS) $(XOBJS)
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $(OBJS) $(XOBJS) $(LIBS)

install: nssov.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp nssov.la $(DESTDIR)$(moduledir)
	cp ldapns.schema $(DESTDIR)$(schemadir)

clean:
	rm -f *.*o *.la .libs/*
	rm -rf .libs

=== contrib/slapd-modules/proxyOld/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2005-2020 The OpenLDAP Foundation.
# Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = 
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = proxyOld.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

proxyOld.la:	proxyOld.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/samba4/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2020 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_RDNVAL=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_PGUID=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_VERNUM=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = pguid.la rdnval.la vernum.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

pguid.la: pguid.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

rdnval.la: rdnval.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

vernum.la: vernum.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/passwd/pbkdf2/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../../..
LDAP_BUILD = ../../../..
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
#DEFS = -DSLAPD_PBKDF2_DEBUG

INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB) -lcrypto

PROGRAMS = pw-pbkdf2.la
LTVER = 0:0:0

#prefix=/usr/local
prefix=`grep -e "^prefix =" $(LDAP_BUILD)/Makefile | cut -d= -f2`

exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all:		$(PROGRAMS)

pw-pbkdf2.la: pw-pbkdf2.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install:	$(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== servers/slapd/back-sql/rdbms_depend/timesten/dnreverse/Makefile ===
## Copyright 1997-2020 The OpenLDAP Foundation, All Rights Reserved.
##  COPYING RESTRICTIONS APPLY, see COPYRIGHT file

#
# Build TimesTen ODBC Sample Programs for Solaris 2.5.1.
# (c) Copyright 1996-1998, TimesTen Performance Software.
# All rights reserved.
## Note: This file was contributed by Sam Drake of TimesTen Performance
##       Software for use and redistribution as an intregal part of
##       OpenLDAP Software.  -Kdz

CPLUSPLUS = CC
TTCLASSES = ../../../../../../../../../cs/classes
ODBC	=	/opt/TimesTen4.1/32
CFLAGS	=	-g -I$(ODBC)/include -I. -I$(TTCLASSES) -DUNIX
LDFLAGS	=	-g
DIRLIBS	=	$(TTCLASSES)/ttclasses.a -L $(ODBC)/lib -R $(ODBC)/lib -ltten -lpthread -lm -lrt
XLALIB  =       -L $(ODBC)/lib -lxla

DIRPROGS=	dnreverse 

DNREVERSE=	dnreverse.o

#
#	Top-level targets
#

all:		$(DIRPROGS)

direct:		$(DIRPROGS)

clean:          
		rm -rf $(DIRPROGS) *.o


#
#	Direct-linked programs
#

dnreverse:	$(DNREVERSE)
		$(CPLUSPLUS) -o dnreverse $(LDFLAGS) $(DNREVERSE) $(DIRLIBS) $(XLALIB)

#
#	.o files
#

dnreverse.o:	dnreverse.cpp
		$(CPLUSPLUS) $(CFLAGS) -c dnreverse.cpp

=== debian/changelog ===
openldap (2.4.49+dfsg-4+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 26 Apr 2020 15:28:20 +0000

openldap (2.4.49+dfsg-4) unstable; urgency=medium

  * Annotate libsodium-dev dependency with <!pkg.openldap.noslapd>.
    Thanks to Helmut Grohne. (Closes: #955993)
  * Add the man page for the Argon2 password module.
    Thanks to Peter Marschall. (Closes: #955977)
  * Build the Argon2 password module with libargon2-dev instead of
    libsodium-dev. Rationale:
    - libargon2 contains the specific functionality needed; libsodium is a
      larger library and contains many features not used here
    - libsodium does not support configuring the p= (parallelism) parameter
  * Import upstream patch to properly retry gnutls_handshake() after it
    returns GNUTLS_E_AGAIN. (ITS#8650) (Closes: #861838)
  * Update the Argon2 password module to upstream commit feb6f21d2e.

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 14 Apr 2020 21:33:16 -0700

openldap (2.4.49+dfsg-3) unstable; urgency=medium

  * Drop patch no-AM_INIT_AUTOMAKE. Instead, configure dh_autoreconf to skip
    automake by setting AUTOMAKE=/bin/true. (Closes: #864637)
  * debian/patches/debian-version: Show Debian version, instead of upstream
    version, in version strings.
  * Add ${perl:Depends} to slapd Depends to silence a dpkg-gencontrol warning.
    This is practically a no-op since slapd explicitly Depends on perl because
    of the maintainer scripts.
  * Import the Argon2 password module from upstream git and install it in
    slapd-contrib. New Build-Depends: libsodium-dev. (Closes: #920283)

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 04 Apr 2020 10:43:56 -0700

openldap (2.4.49+dfsg-2) unstable; urgency=medium

  * slapd.README.Debian: Document the initial setup performed by slapd's
    maintainer scripts in more detail. Thanks to Karl O. Pinc.
    (Closes: #952501)
  * Import upstream patch to fix slapd crashing in certain configurations when
    a client attempts a login to a locked account.
    (ITS#9171) (Closes: #953150)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 05 Mar 2020 12:59:46 -0800

openldap (2.4.49+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch no-gnutls_global_set_mutex, applied upstream.
  * When validating the DNS domain chosen for slapd's default suffix, set
    LC_COLLATE explicitly for grep to ensure character ranges behave as
    expected. Thanks to Fredrik Roubert. (Closes: #940908)
  * Backport proposed upstream patch to emit detailed messages about errors in
    the TLS configuration. (ITS#9086) (Closes: #837341)
  * slapd.scripts-common: Delete unused copy_example_DB_CONFIG function.
  * Remove debconf support for choosing a database backend. Always use the
    LMDB backend for new installs, as recommended by upstream.
  * Remove the empty olcBackend section from the default configuration.
  * Remove the unused slapd.conf template from /usr/share/slapd. Continue
    shipping it as an example in /usr/share/doc/slapd.
  * Fix a typo in index-files-created-as-root patch.
    Thanks to Quanah Gibson-Mount.
  * Annotate slapd's Depends on perl with :any. Fixes installation of
    foreign-arch slapd. Thanks to Andreas Hasenack.
  * Rename 'stage1' build profile to 'pkg.openldap.noslapd'.
    Thanks to Helmut Grohne. (Closes: #949722)
  * Drop Build-Conflicts: libicu-dev as upstream's configure no longer tests
    for or links with libicu.
  * Note ITS#9126 recommendation in slapd.NEWS.
  * Update Standards-Version to 4.5.0; no changes required.

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 06 Feb 2020 10:08:12 -0800

=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
               libargon2-dev <!pkg.openldap.noslapd>,
               libdb5.3-dev <!pkg.openldap.noslapd>,
               libgnutls28-dev,
               libltdl-dev <!pkg.openldap.noslapd>,
               libperl-dev (>= 5.8.0) <!pkg.openldap.noslapd>,
               libsasl2-dev,
               libwrap0-dev <!pkg.openldap.noslapd>,
               nettle-dev <!pkg.openldap.noslapd>,
               perl:any,
               po-debconf,
               unixodbc-dev <!pkg.openldap.noslapd>
Build-Conflicts: libbind-dev, bind-dev, autoconf2.13
Standards-Version: 4.5.0
Homepage: http://www.openldap.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
Vcs-Browser: https://salsa.debian.org/openldap-team/openldap

Package: slapd
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
Recommends: libsasl2-modules
Suggests: ldap-utils,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-contrib
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: slapd-smbk5pwd
Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Replaces: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Description: contributed plugins for OpenLDAP slapd
 This package contains a number of slapd overlays and plugins contributed by
 the OpenLDAP community. While distributed as part of OpenLDAP Software, they
 are not necessarily supported by the OpenLDAP Project.

Package: slapd-smbk5pwd
Architecture: all
Section: oldlibs
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd-contrib, ${misc:Depends}
Breaks: slapd (<< 2.4.47+dfsg-2~)
Description: transitional package for slapd-contrib
 This is a transitional package from slapd-smbk5pwd to slapd-contrib. It can be
 safely removed.

Package: ldap-utils
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.4-2
Section: libs
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries 
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
Description: OpenLDAP common files for libraries
 These are common files for the run-time libraries for the OpenLDAP
 (Lightweight Directory Access Protocol) servers and clients.

Package: libldap2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libldap-dev, libopenldap-dev
Replaces: libopenldap-dev
Provides: libldap-dev
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: slapi-dev
Section: libdevel
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: development libraries for OpenLDAP SLAPI plugin interface
 This package allows development of plugins for the OpenLDAP slapd server
 using the SLAPI interface.  It includes the headers and libraries needed
 to build such plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Set this variable if you're building packages outside of Debian and don't
# want the checks for DFSG-freeness.
#DFSG_NONFREE = 1

export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

# Configure calls AM_INIT_AUTOMAKE, but Automake fails as there is no Makefile.am.
# Tell dh-autoreconf to skip automake.
export AUTOMAKE = true

# Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
export DEB_VERSION

# Workaround for bad glibc behavior when resolving localhost
export RESOLV_MULTI = off

CONFIG		= $(shell grep -v "^\#" debian/configure.options)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --disable-bdb --disable-hdb --disable-mdb
endif
ifneq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	CONFIG += --disable-slapd
endif

CONTRIB_MODULES = autogroup lastbind passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd

# Ensure CC is set correctly for cross builds, unless it has already 
# been set explicitly.
ifeq ($(origin CC),default)
	export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

installdir	:= $(CURDIR)/debian/tmp
builddir	:= $(CURDIR)/debian/build
slapddir	:= $(CURDIR)/debian/slapd/usr/sbin

MAKEVARS	:= STRIP=

# Standard variables used in contrib Makefiles.
# We override these in make invocations rather than patch every one.
CONTRIB_MAKEVARS := \
	LDAP_BUILD='$(builddir)' \
	prefix=/usr \
	ldap_subdir=/ldap \
	moduledir='$$(libdir)$$(ldap_subdir)'

# These variables are used only by get-orig-source, which will normally only
# be run by maintainers.
VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
URL     = http://www.openldap.org/software/download/OpenLDAP/openldap-release/

# Download the upstream source and make changes as required for DFSG reasons.
# Assumes wget is available, as this is generally only used by the package
# maintainers.
get-orig-source:
	@if [ ! -d "debian/schema" ] ; then \
	    echo 'Run this from the top directory of the Debian source' >&2; \
	    exit 1; \
	fi
	wget $(URL)/openldap-$(VERSION).tgz
	tar xzf openldap-$(VERSION).tgz
	rm -r openldap-$(VERSION)/doc/drafts
	rm -r openldap-$(VERSION)/doc/rfc
	set -e; for schema in debian/schema/*.schema debian/schema/*.ldif ; do \
	    file=`basename "$$schema"`; \
	    rm openldap-$(VERSION)/servers/slapd/schema/$$file; \
	done
	mv openldap-$(VERSION) openldap-$(VERSION)+dfsg
	tar cf openldap_$(VERSION)+dfsg.orig.tar openldap-$(VERSION)+dfsg
	rm -r openldap-$(VERSION)+dfsg
	gzip -9 openldap_$(VERSION)+dfsg.orig.tar

DH = dh $@ --builddirectory=$(builddir)
.PHONY: build
build:
	$(DH)
%:
	$(DH)

# Only contrib/ldapc++ uses Automake, so special care is needed to update
# config.guess and config.sub at the top level.
autoreconf:
	autoreconf -f -i . contrib/ldapc++
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub build/

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	# Check if we include the RFCs, Internet-Drafts, or upstream schemas
	# with RFC text (which are non DFSG-free).  You can set DFSG_NONFREE
	# to build the packages from the unchanged upstream sources but Debian
	# can not ship the RFCs in main so this test is here to make sure it
	# does not get in by accident again. -- Torsten
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    if [ -e doc/drafts ] || [ -e doc/rfc ]; then exit 1; fi; \
	    if [ -e servers/slapd/schema/core.schema ] \
	       && grep -q 'RFC 4519 definition' servers/slapd/schema/core.schema; \
	    then \
		exit 1; \
	    fi; \
	fi

	# Copy our stripped schema versions into where upstream expects them.
	if [ -z "$(DFSG_NONFREE)" ]; then \
		cp debian/schema/*.schema debian/schema/*.ldif \
			servers/slapd/schema/; \
	fi

	dh_auto_configure -- $(CONFIG)

override_dh_auto_build:
	dh_auto_build -- $(MAKEVARS)
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_build -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),ppc64el)
	# Disable test060-mt-host on ppc64el until #866122 is fixed.
	rm -f tests/scripts/test060-mt-hot
endif
	#dh_auto_test

override_dh_auto_install:
	dh_auto_install -- $(MAKEVARS)
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_install -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done

	# Empty the dependency_libs file in the .la files.
	for F in $(installdir)/usr/lib/ldap/*.la; do \
		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
	done
endif
	
	# Check all built libraries for unresolved symbols except for the
	# libslapi library.  It is a special case since the SLAPI interface
	# depends on symbols defined in slapd itself.  Those symbols will
	# remain unresolved until the plugin is loaded into slapd.
	for F in $(installdir)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*.*.*; do \
	    if echo "$$F" | grep -q libslapi ; then \
	        continue; \
	    fi; \
	    if LD_LIBRARY_PATH=$(installdir)/usr/lib/$(DEB_HOST_MULTIARCH) ldd -d -r $$F 2>&1 | grep '^undefined symbol:'; then \
	        echo; \
	        echo "library $$F has undefined references.  Please fix this before continuing."; \
		exit 1; \
	    fi; \
	done

	# Upstream manpages are section 8C but installed as section 8
	find $(installdir)/usr/share/man -name \*.8 \
		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'

override_dh_installinit:
	dh_installinit -- "defaults 19 80"

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_installman:
	dh_installman
	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*

override_dh_fixperms-arch:
	dh_fixperms
	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
endif

override_dh_strip:
	dh_strip -plibldap-2.4-2 --dbgsym-migration='libldap-2.4-2-dbg (<< 2.4.45+dfsg-1~)'
	dh_strip -pslapd --dbgsym-migration='slapd-dbg (<< 2.4.45+dfsg-1~)'
	dh_strip --remaining-packages
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	# hardlink these so not confined by apparmor; do this here and not
	# in dh_link so that dh_strip doesn't get confused and put the wrong
	# binary in the debug package.
	for f in slapacl slapadd slapauth slapcat slapdn slapindex slappasswd slaptest slapschema ; do \
	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
	done
endif

override_dh_link:
	for pkg in libldap2-dev libldap-2.4-2; do \
		sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/$$pkg.links.in > debian/$$pkg.links; \
	done
	dh_link

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_makeshlibs:
	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
		                      s/\.so\./-/; p; q }' \
	)" >> debian/slapd.substvars
	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
	dh_makeshlibs --remaining-packages
endif

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_installdeb:
	dh_installdeb
	perl -w debian/dh_installscripts-common -p slapd
endif

override_dh_auto_clean:
	dh_auto_clean
	# Update translation templates for debconf
	debconf-updatepo
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	# Remove our stripped schema from the upstream source area.
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
	        rm -f servers/slapd/schema/`basename $$s`; \
	    done; \
	fi

	# Clean the contrib directory
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \
	done
endif

## openldap 2.4.53+dfsg

=== debian/changelog ===
openldap (2.4.53+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1894838). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support (first added in 2.4.18-0ubuntu2):
      + d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      + d/configure.options: Configure with --with-gssapi
      + d/control: Added heimdal-dev as a build depend
      + d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
      + d/libldap-2.4-2.symbols: add symbols for GSSAPI support
      This should be dropped when the soname changes.
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      + d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      + d/slapd.install: install nssov overlay
      + d/slapd.manpages: install slapo-nssov(5) man page
      + d/p/contrib-makefiles: given the change in 2.4.47+dfsg-3 regarding
        Debian bug #919136, we also have to patch the nssov makefile
        accordingly and thus update this patch.
    - d/{rules,slapd.py}: Add apport hook.
    - Add support for CLDAP (UDP) support, back then required by
      likewise-open (first enabled in 2.4.17-1ubuntu2):
      + d/rules: Enable -DLDAP_CONNECTIONLESS
      + d/libldap-2.4-2.symbols: add symbols for CLDAP (UDP)
      This should be dropped when the soname changes.
    - debian/patches/fix_test_timing.patch: fix FTBFS on riscv64 because
      of test timing issue.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 08 Sep 2020 09:36:58 -0300

openldap (2.4.53+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 07 Sep 2020 09:47:28 -0700

openldap (2.4.51+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support (first added in 2.4.18-0ubuntu2):
      + d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      + d/configure.options: Configure with --with-gssapi
      + d/control: Added heimdal-dev as a build depend
      + d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
      + d/libldap-2.4-2.symbols: add symbols for GSSAPI support
      This should be dropped when the soname changes.
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      + d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      + d/slapd.install: install nssov overlay
      + d/slapd.manpages: install slapo-nssov(5) man page
      + d/p/contrib-makefiles: given the change in 2.4.47+dfsg-3 regarding
        Debian bug #919136, we also have to patch the nssov makefile
        accordingly and thus update this patch.
    - d/{rules,slapd.py}: Add apport hook.
    - Add support for CLDAP (UDP) support, back then required by
      likewise-open (first enabled in 2.4.17-1ubuntu2):
      + d/rules: Enable -DLDAP_CONNECTIONLESS
      + d/libldap-2.4-2.symbols: add symbols for CLDAP (UDP)
      This should be dropped when the soname changes.
    - debian/patches/fix_test_timing.patch: fix FTBFS on riscv64 because
      of test timing issue.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
  * Dropped:
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
      [In 2.4.51+dfsg-1]
    - d/slapd.scripts-common:
      + add slapcat_opts to local variables.
      + Fix backup directory naming for multiple reconfiguration.
      [In 2.4.51+dfsg-1]
    - debian/patches/set-maintainer-name: our d/rules change needs to
      be kept, but this patch is in 2.4.51+dfsg-1.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 26 Aug 2020 11:03:24 -0300

openldap (2.4.51+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add ldap_parse_password_expiring_control to libldap-2.4-2.symbols.
  * Merge some changes from Ubuntu:
    - slapd.default, slapd.README.Debian: update to refer to slapd.d instead
      of slapd.conf.
    - debian/slapd.scripts-common: dump_databases: make slapcat_opts a local
      variable.
  * Drop paragraph about patch gnutls-altname-nulterminated (#465197) from
    slapd.README.Debian. The patch referred to was dropped in 2.4.7-6.
  * debian/patches/set-maintainer-name: Extract maintainer address dynamically
    from debian/control. (Closes: #960448)
  * Fix Torsten's email address in a historic debian/changelog entry to
    resolve a Lintian error (bogus-mail-host-in-debian-changelog).
  * Rename debian/source.lintian-overrides to debian/source/lintian-overrides.
    Fixes a Lintian pedantic tag (old-source-override-location).
  * Override Lintian pedantic tag maintainer-manual-page for


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
+               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
+               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
                libdb5.3-dev <!pkg.openldap.noslapd>,
                libgnutls28-dev,
@@ -34,8 +36,8 @@
 Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
  coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
-Recommends: libsasl2-modules
-Suggests: ldap-utils,
+Recommends: ldap-utils
+Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
@@ -70,8 +72,8 @@
 Package: ldap-utils
 Architecture: any
 Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
-Recommends: libsasl2-modules
-Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
+Suggests: libsasl2-modules,
+ libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldap-utils, openldap-utils, ldap-client
 Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
 Provides: ldap-client, openldap-utils
@@ -87,9 +89,10 @@
 Multi-Arch: same
 Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libldap-common
 Replaces: libldap2, libldap-2.3-0
-Description: OpenLDAP libraries 
+Description: OpenLDAP libraries
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
+export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
+export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Configure calls AM_INIT_AUTOMAKE, but Automake fails as there is no Makefile.am.
 # Tell dh-autoreconf to skip automake.
 export AUTOMAKE = true
 
+# Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
+export DEB_MAINTAINER := $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)
+
 # Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
 export DEB_VERSION
 
@@ -28,9 +32,9 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
-
-# Ensure CC is set correctly for cross builds, unless it has already 
+CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
+
+# Ensure CC is set correctly for cross builds, unless it has already
 # been set explicitly.
 ifeq ($(origin CC),default)
 	export CC := $(DEB_HOST_GNU_TYPE)-gcc
@@ -48,7 +52,8 @@
 	LDAP_BUILD='$(builddir)' \
 	prefix=/usr \
 	ldap_subdir=/ldap \
-	moduledir='$$(libdir)$$(ldap_subdir)'
+	moduledir='$$(libdir)$$(ldap_subdir)' \
+	sysconfdir='/etc$$(ldap_subdir)'
 
 # These variables are used only by get-orig-source, which will normally only
 # be run by maintainers.
@@ -128,7 +133,7 @@
 	# Disable test060-mt-host on ppc64el until #866122 is fixed.
 	rm -f tests/scripts/test060-mt-hot
 endif
-	#dh_auto_test
+	dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEVARS)
@@ -162,6 +167,22 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+override_dh_install-arch:
+	dh_install
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+
+	# install Apport hook
+	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
+
+	# install ufw profile
+	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
+
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
 
@@ -200,30 +221,3 @@
 		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
 		                      s/\.so\./-/; p; q }' \
 	)" >> debian/slapd.substvars
-	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
-	dh_makeshlibs --remaining-packages
-endif
-
-ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
-override_dh_installdeb:
-	dh_installdeb
-	perl -w debian/dh_installscripts-common -p slapd
-endif
-
-override_dh_auto_clean:
-	dh_auto_clean
-	# Update translation templates for debconf
-	debconf-updatepo
-ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
-	# Remove our stripped schema from the upstream source area.
-	if [ -z "$(DFSG_NONFREE)" ]; then \
-	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
-	        rm -f servers/slapd/schema/`basename $$s`; \
-	    done; \
-	fi
-
-	# Clean the contrib directory
-	for mod in $(CONTRIB_MODULES); do \
-		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \
-	done
-endif

## openldap 2.4.56%2Bdfsg

=== doc/guide/admin/Makefile ===
## Makefile for OpenLDAP Administrator's Guide
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 2005-2020 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.
all: guide.html index.html

# for website building (for webmaster use, don't change)
www: guide.html index.html OpenLDAP-Admin-Guide.pdf

sdf-src: \
	../plain.sdf \
	../preamble.sdf \
	abstract.sdf \
	access-control.sdf \
	appendix-changes.sdf \
	appendix-common-errors.sdf \
	appendix-configs.sdf \
	appendix-contrib.sdf \
	appendix-deployments.sdf \
	appendix-ldap-result-codes.sdf \
	appendix-recommended-versions.sdf \
	appendix-upgrading.sdf \
	backends.sdf \
	config.sdf \
	dbtools.sdf \
	glossary.sdf \
	guide.sdf \
	install.sdf \
	intro.sdf \
	maintenance.sdf \
	master.sdf \
	monitoringslapd.sdf \
	overlays.sdf \
	preface.sdf \
	quickstart.sdf \
	referrals.sdf \
	replication.sdf \
	runningslapd.sdf \
	sasl.sdf \
	schema.sdf \
	security.sdf \
	slapdconfig.sdf \
	title.sdf \
	tls.sdf \
	troubleshooting.sdf \
	tuning.sdf

sdf-img: \
	../images/LDAPlogo.gif \
	allmail-en.png \
	allusersgroup-en.png \
	config_dit.png \
	config_local.png \
	config_ref.png \
	config_repl.png \
	delta-syncrepl.png \
	dual_dc.png \
	intro_dctree.png \
	intro_tree.png \
	ldap-sync-refreshandpersist.png \
	ldap-sync-refreshonly.png \
	n-way-multi-provider.png \
	push-based-complete.png \
	push-based-standalone.png \
	refint.png \
	set-following-references.png \
	set-memberUid.png \
	set-recursivegroup.png 

guide.html: guide.sdf sdf-src sdf-img
	sdf -2html guide.sdf

index.html: index.sdf sdf-src sdf-img
	sdf -2topics index.sdf

admin.html: admin.sdf sdf-src sdf-img
	sdf -DPDF -2html admin.sdf

guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f guide.pdf

OpenLDAP-Admin-Guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f OpenLDAP-Admin-Guide.pdf

clean: 
	rm -f *.pdf *.html *~ *.bak

=== debian/changelog ===
openldap (2.4.56+dfsg-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 2.4.53+dfsg-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Mon, 14 Sep 2020 14:19:10 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 19 Nov 2020 06:52:02 +0000

openldap (2.4.56+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fixed slapd abort due to assertion failure in Certificate List syntax
      validation (ITS#9383)
    - Fixed slapd abort due to assertion failure in CSN normalization with
      invalid input (ITS#9384)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 11 Nov 2020 09:13:56 -0800

openldap (2.4.55+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fixed slapd normalization handling with modrdn
      (ITS#9370) (CVE-2020-25692)

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 27 Oct 2020 21:07:29 -0700

openldap (2.4.54+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Change upstream Homepage and get-orig-source URLs to HTTPS.
  * Create debian/gbp.conf.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 18 Oct 2020 16:03:46 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
-export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Configure calls AM_INIT_AUTOMAKE, but Automake fails as there is no Makefile.am.
@@ -16,7 +15,7 @@
 export AUTOMAKE = true
 
 # Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
-export DEB_MAINTAINER := $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)
+export DEB_MAINTAINER := $(shell sed -ne 's/Maintainer:\s\+//p' debian/control)
 
 # Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
 export DEB_VERSION
@@ -32,7 +31,7 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
+CONTRIB_MODULES = autogroup lastbind passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
 
 # Ensure CC is set correctly for cross builds, unless it has already
 # been set explicitly.
@@ -52,13 +51,12 @@
 	LDAP_BUILD='$(builddir)' \
 	prefix=/usr \
 	ldap_subdir=/ldap \
-	moduledir='$$(libdir)$$(ldap_subdir)' \
-	sysconfdir='/etc$$(ldap_subdir)'
+	moduledir='$$(libdir)$$(ldap_subdir)'
 
 # These variables are used only by get-orig-source, which will normally only
 # be run by maintainers.
 VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
-URL     = http://www.openldap.org/software/download/OpenLDAP/openldap-release/
+URL     = https://www.openldap.org/software/download/OpenLDAP/openldap-release/
 
 # Download the upstream source and make changes as required for DFSG reasons.
 # Assumes wget is available, as this is generally only used by the package
@@ -133,7 +131,7 @@
 	# Disable test060-mt-host on ppc64el until #866122 is fixed.
 	rm -f tests/scripts/test060-mt-hot
 endif
-	dh_auto_test
+	#dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEVARS)
@@ -167,22 +165,6 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-override_dh_install-arch:
-	dh_install
-
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-
-	# install Apport hook
-	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
-
-	# install ufw profile
-	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
-
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
-endif
-
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
 
@@ -221,3 +203,26 @@
 		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
 		                      s/\.so\./-/; p; q }' \
 	)" >> debian/slapd.substvars
+	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
+	dh_makeshlibs --remaining-packages
+endif
+
+ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
+override_dh_installdeb:
+	dh_installdeb
+	perl -w debian/dh_installscripts-common -p slapd
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# Update translation templates for debconf
+	debconf-updatepo
+ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
+	# Remove our stripped schema from the upstream source area.
+	if [ -z "$(DFSG_NONFREE)" ]; then \
+	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
+	        rm -f servers/slapd/schema/`basename $$s`; \
+	    done; \
+	fi
+
+	# Clean the contrib directory
